Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I recently upgraded Firefox to version 4 on my Mac and now it seems Elasticfox no longer works. Does anyone know if and when Elasticfox will get updates for FF4 compatibility?

Also, are any of you using an alternative to Elasticfox in order to manage your instances? Right now I am using the AWS console, but I manage 14 EC2 instances for 5 different clients and constantly having to log in & out between them is a pain. That is why I prefer something like Elasticfox where I can easily switch back and forth.

share|improve this question

migrated from serverfault.com Jun 2 '11 at 17:22

This question came from our site for system and network administrators.

1 Answer 1

up vote 1 down vote accepted

So the .xpi is just a zip file so if you unzip it you can edit the files inside

You can edit install.rdf (and maybe ec2gui.rdf) to change the maxVersion to 4.0.*: See here: http://kb.mozillazine.org/Editing_an_add-on_to_change_its_compatibility While you are making changes, you can make a few more to update ElasticFox: Fix background transparency: http://dirty-code.blogspot.com/2011/03/problems-with-elastic-fox-in-ff4.html Add support for new EC2 instance types...

taken from

http://sourceforge.net/projects/elasticfox/develop

share|improve this answer
    
Worked like a charm! Thank you very much. Since I am on FF 4.0.1, I did not have to the transparent content issue problem, so I did not have to do that second part. For some odd reason, after I updated the rdf file and rezipped and renamed the file on my Mac, it did not work. FF complained about a corrupted extension. I had to end up running the zip operation via command line. –  AAC Jun 2 '11 at 19:59

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.